/*
 * config.h
 * Copyright (c) M. Ulikowski <elceef@itsec.pl>
 * This file is part of the NATDet - NAT Detection tool
 *
 * You'll need to recompile NATDet to changes take effect.
*/


#define VERSION          "1.0.5"
/* NATDet version */

#define HOP_DIST         3 
/* max difference betwen TTL in packets from the same host
   should be: 1 <= HOP_DIST <= 4 */

#ifdef UNIX
#define FP_DIR           "/usr/local/share/natdet"
#else
#define FP_DIR           "."
#endif
/* fingerprint database directory */

#define FP_DB            "signatures"
/* default fingerprint database filename */

#define SIG_LEN          64
/* signature length of course */

#define MAX_SIGS         192
/* max numer of signatures in FP_DB */

#define LIVE_TIME        3600
/* NAT cache entries live time in seconds;
   after that time entry is reseted and filled with new data,
   however a source address is the same */

#define REP_DELAY        1800
/* delay between masquerade report on the same machine;
   this option makes logs smaller because you aren't warned
   about NAT because probabilty increased about 1-2 %
   default set is half-hour (1800 seconds) */

#define TSTAMP_DIFF      6000
/* difference between two timestamps to use TSTAMP factor
   By default it's 6000 (60 seconds on Linux) */

#define NAT_CACHE        256
/* max size of remembered different addresses for NAT detection
   shouln't be smaller than number of users in local network */

#define MIN_FACTORS      1
/* minimal number of used factors to report NAT (max. 3) */

#define MIN_PROB         50
/* minimal probability to report masquerade (0-100%) */

#define OS_LIMIT         4
/* limit of reported different systems in "evil" network */

#define PACKET_LEN       128
/* for libpcap, change carefully - might decrease performance;
   pcap default = 8192 */


